Subject: [seamoby] How to Convince the BARB to work with IETF?

From: James Kempf <[email-masked]>
Date: Tue, 6 Mar 2001 16:12:13 -0800 (PST)

Hi Kulwinder,

Well, this account is certainly a cause for concern. 

Do you think the upcoming Bluetooth BOF will be enough to convince
the BARB that IETF is "moving in the direction of Bluetooth"? 

The problem is that IETF is a rather big beast and I don't think the
optical networking guys care much about Bluetooth. If what the BARB
means is that IETF mobility solutions are moving toward accommodating
Bluetooth, then I am  not exactly sure what they want. 

Most IETF technologies are designed to be broadly implementable on various link
layers. There are specific WGs that implement specific L3 technologies
on specific L2  (example: the Intserv on Specific L2 WG). Up 
till now, that has not been the case with mobility technologies, probably
because of two reasons:

	- Wireless LAN technologies don't need much help getting the
	IP mobility technologies implemented on them. In fact, one
	can argue that most IP mobility technologies were designed
	with wireless LANs in mind.
	
	- The cellular industry, which has been the other big consumer
	of IETF mobility protocols, has its own two SDOs which have
	been working together with IETF in their own ways. This has
	typically involved doing their own thing as far as their own L2
	is concerned and coming to IETF when they need something changed
	at L3. There have been a few cases where changes have been
	needed (authentication, special handling in MIPv4 when the 
	FA is not one hop from the access point, perhaps fast handoff),
	there may be more upcoming (maybe paging and context transfer). 
	
Do you think the BARB wants a series of "X on Y" 
working groups where X is a particular mobility technology (manet, mobile-ip,
maybe micromo, maybe paging, maybe context transfer) and Y is a particular
link layer (Bluetooth, 802.11, etc.)? Or, specifically, do they want 
such a working group for Bluetooth? How likely is such a working group
to be successful when the Bluetooth SIGs seem to have difficulty
communicating information between themselves? How do you think IETF can work 
together with the Bluetooth SIG to develop the kinds of L3 protocols that will 
work on PANs?

I'm really confused.

		jak

>X-Authentication-Warning: charizard.diameter.org: majordomo set sender to 
[email-masked] using -f
>From: Kulwinder Atwal <[email-masked]>
>To: "'Charles E. Perkins'" <[email-masked]>, [email-masked]
>Cc: [email-masked]
>Subject: RE: [seamoby] MANET Critique ( was Yet Another BOF?
>Date: Tue, 6 Mar 2001 18:42:10 -0500 
>MIME-Version: 1.0
>
>Well, here's a look inside the 'sausage factory'.
>
>I raised these very concerns, and many others with a member of the BARB
>(Bluetooth Architechure Review Board) over the weekend and yesterday.  The
>BARB has similiar responsibilities as the IESG.  It oversees the SIG Working
>Groups, sets the technical direction of the SIG and reports directly to the
>SIG Board of Directors.
>
>There is no "official SIG position".  Even a Director of the Board, when
>speaking publically is giving a personal opinion.  The SIG has no
>spokesperson.  If you hear anyone at the BOF talking as if there was an
>"official SIG position", please feel free to correct them.  
>
>The WGs have a history of claiming a very wide scope which prevents others
>from innovating in that space.
>Further, they have in the past, chosen to work in secrecy releasing no more
>that some Power Point to most SIG members.  All SIG members are under NDA,
>therefore the only reason one can think of for this is the competive
>advantage of WG members.  This has been a sore point amoung many SIG
>members.
>
>For the first time, yesterday the PAN WG released its technical docs for
>review and feedback from all SIG members.  Today, the Printing WG did the
>same.
>
>In Phase I (Ethernet over Bluetooth), the PAN WG aimed a mobility within a
>piconet.  In Phase II, the PAN WG plans to decide whether to go with a layer
>3 approach for mobility outside of a piconet.  I have stated that Phase II
>will require changes to IETF protocols, and at least an IP over Bluetooth
>solution.  Phase II cannot occur without IETF involvement.  Further, I
>stated that the IETF is moving at a faster pace, with a more comprehensive
>and robust mobility solution in several WGs, whereas the SIG has just the
>PAN WG. Therefore, I proposed that Phase II be done in the IETF.
>
>The BARB view seems to be,"Well the IETF did not have an IP over Bluetooth
>solution when the PAN WG was formed."   I pointed out that the IETF is not
>capable of reading the minds of the PAN WG and BARB members.  The view in
>the BARB seems to be, change will happen when they "see the IETF moving a
>direction that fits with Bluetooth". 
>
>I hope you will raise your concerns at the BOF and on the pre-BOF mailing
>list.
>
>- Kulwinder.
>
>> -----Original Message-----
>> From: Charles E. Perkins [mailto:[email-masked]]
>> Sent: Tuesday, March 06, 2001 3:07 PM
>> To: [email-masked]
>> Cc: [email-masked]
>> Subject: Re: [seamoby] MANET Critique ( was Yet Another BOF?
>> 
>> 
>> 
>> Hello Phil,
>> 
>> I'd like to suggest a very slight modification to your proposal.
>> 
>> Why didn't Bluetooth _participate_ in the [manet] work?
>> I am 99.99% confident in stating that any of the authors of
>> protocols submitted to [manet] would have been delighted
>> to respond to design concerns that might have been voiced
>> by Bluetooth proponents -- perhaps to the point of redesigning
>> the basic protocols as needed.
>> 
>> Instead, we seem to have been blindsided and then accused
>> of being ignorant of their requirements.
>> 
>> Determining the final outcome of such conflicts is, indeed,
>> slightly less quick than watching paint dry -- and not really
>> quite as much fun.
>> 
>> Regards,
>> Charlie P.
>> 
>> 
>> 
>> 
>> [email-masked] wrote:
>> > 
>> > What I never understood is why didn't Bluetooth just pick 
>> one of the MANET
>> > ad hoc routing standards and  and run with it?
>> > 
>> > Pick TORA?  Pick AODV?  I don't care. Just run with 
>> something.    I guess I am
>> > the
>> > evil bandy abouter, but not without the justification that 
>> something scalable
>> > will arive
>> > someday.  My feeling is that we can get a few hops 
>> standardized now and
>> > into consumer devices now and not have to wait until the 
>> cows come home.
>> > Does the IETF have to move this slow?  Internet time is 
>> like watching paint
>> > dry these days...
>> > 
>> > Thanks,
>> > 
>> > Phil
>> > 
>> > Sent by:  Michael Thomas <[email-masked]>
>> > 
>> > To:   Kulwinder Atwal <[email-masked]>
>> > cc:   "'Charles E. Perkins'" <[email-masked]>, 
>> [email-masked],
>> >       Gary Kenward <[email-masked]> (Phil 
>> Neumiller/MW/US/3Com)
>> > Subject:  RE: [seamoby] MANET Critique  ( was  Yet Another BOF?
>> > 
>> > Kulwinder Atwal writes:
>> >    solution being bandied around. I've not read AODV so
>>

---

From: Theo Pagtzis <[email-masked]>
Date: Tue, 06 Mar 2001 17:47:11 -0800

Having read the Bluetooth BOF considerations below I am wondering whether there
will be an upcoming

W-CDMA or UMTS BOF
802.11 BOF
HIPERLAN  BOF

so that we can investigate in particular issues of

IP over W-CDMA/UMTS protocols
IP over 802.11b/d/e protocols
IP over HIPERLAN protocols.

and if we really want to be pedantic

IP over diffuse Infra Red since some spec of IR managed to come out

If that is the case then we should be wondering whether 3gpp, IEEE and ETSI will
be thinking that may want to work with IETF if we get such BOFS and subsequent WG
under way...

Alternatively we may start pondering about interfaces between each of these L2
technologies with IP, if we want to start using L2 particulars of the individual
technology. Otherwise I feel that MANET has been doing an excellent job in
specifying IP interactions over ad-hoc nets at L3; beyond
that it is the duty of the technology implementor to provide the necessary
interface hooks for the L2 so as to interface with L3 (already considered by
MANET).

This really belongs in the realm of W-NIC drivers implementation, unless we want
to standardize the input /output from WNIC drivers...

Isn't that the case?

Theo

UCL/ Mobile systems